import { useThree, _roots } from "@react-three/fiber";
import { useMemo } from "react";
function useCoords() {
  const coords = useThree((s) => s.coords);
  return coords;
}
function useSetCoords({ longitude, latitude, altitude }) {
  const canvas = useThree((s) => s.gl.domElement);
  useMemo(() => {
    const store = _roots.get(canvas).store;
    const coords = { longitude, latitude, altitude };
    setCoords(store, coords);
  }, [longitude, latitude, altitude]);
}
function useSetRootCoords(store, {
  longitude,
  latitude,
  altitude
}) {
  useMemo(() => {
    setCoords(store, { longitude, latitude, altitude });
  }, [longitude, latitude, altitude]);
}
function setCoords(store, coords) {
  store.setState({ coords });
}
export {
  setCoords,
  useCoords,
  useSetCoords,
  useSetRootCoords
};
//# sourceMappingURL=main15.mjs.map
