import { jsx } from "react/jsx-runtime";
import { memo, useMemo } from "react";
import { useCoords } from "./main15.mjs";
import { coordsToVector3 } from "./main5.mjs";
const NearCoordinates = memo(({ children, ...coords }) => {
  const { latitude, longitude, altitude } = useCoords();
  const pos = useMemo(() => coordsToVector3(coords, { latitude, longitude, altitude }), [
    // eslint-disable-line react-hooks/exhaustive-deps
    latitude,
    longitude,
    altitude,
    coords.latitude,
    coords.longitude,
    coords.altitude
  ]);
  return /* @__PURE__ */ jsx("object3D", { position: pos, children });
});
NearCoordinates.displayName = "NearCoordinates";
export {
  NearCoordinates
};
//# sourceMappingURL=main6.mjs.map
