import { MathUtils } from "three";
import { earthRadius } from "./main14.mjs";
function vector3ToCoords(position, origin) {
  const [x, y, z] = position;
  const latitude = origin.latitude + -z / earthRadius * MathUtils.RAD2DEG;
  const longitude = origin.longitude + x / earthRadius * MathUtils.RAD2DEG / Math.cos(origin.latitude * MathUtils.DEG2RAD);
  const altitude = (origin.altitude || 0) + y;
  const coords = { latitude, longitude, altitude };
  return coords;
}
export {
  vector3ToCoords
};
//# sourceMappingURL=main7.mjs.map
