import { useThree, _roots } from "@react-three/fiber";
import { useState } from "react";
import { Matrix4 } from "three";
function useR3M() {
  const r3m = useThree((s) => s.r3m);
  return r3m;
}
function useInitR3M(props) {
  const canvas = useThree((s) => s.gl.domElement);
  useState(() => {
    const store = _roots.get(canvas).store;
    initR3M({ ...props, store });
  });
}
function initR3M({ store, ...props }) {
  const viewProjMx = new Matrix4().identity().toArray();
  const r3m = { ...props, viewProjMx };
  store.setState({ r3m });
  return r3m;
}
export {
  initR3M,
  useInitR3M,
  useR3M
};
//# sourceMappingURL=main13.mjs.map
