import { jsxs, jsx } from "react/jsx-runtime";
import { Canvas } from "@react-three/fiber";
import { memo, useState } from "react";
import { events } from "./main20.mjs";
import { useFunction } from "./main10.mjs";
import { InitR3M } from "./main21.mjs";
import { SyncCameraFC } from "./main22.mjs";
const CanvasPortal = memo(({
  children,
  latitude,
  longitude,
  altitude,
  setOnRender,
  map,
  fromLngLat,
  ...props
}) => {
  const mapCanvas = map.getCanvas();
  const eventSource = mapCanvas.parentElement;
  const [ready, setReady] = useState(false);
  const onReady = useFunction(() => {
    setReady(true);
  });
  return /* @__PURE__ */ jsxs(
    Canvas,
    {
      camera: {
        matrixAutoUpdate: false,
        matrixWorldAutoUpdate: false
      },
      events,
      eventSource,
      ...props,
      gl: { autoClear: false, ...props.gl },
      children: [
        /* @__PURE__ */ jsx(
          InitR3M,
          {
            map,
            fromLngLat,
            latitude,
            longitude,
            altitude
          }
        ),
        /* @__PURE__ */ jsx(
          SyncCameraFC,
          {
            latitude,
            longitude,
            altitude,
            setOnRender,
            onReady,
            map
          }
        ),
        ready && children
      ]
    }
  );
});
CanvasPortal.displayName = "CanvasPortal";
export {
  CanvasPortal
};
//# sourceMappingURL=main18.mjs.map
