import { jsxs, Fragment, jsx } from "react/jsx-runtime";
import { extend } from "@react-three/fiber";
import { MercatorCoordinate } from "mapbox-gl";
import { memo, useState } from "react";
import { useMap, Layer } from "react-map-gl";
import * as THREE from "three";
import { useCanvasInLayer } from "./main8.mjs";
import { InitCanvasFC } from "./main9.mjs";
import { useFunction } from "./main10.mjs";
extend(THREE);
const fromLngLat = MercatorCoordinate.fromLngLat;
const Canvas = memo(({ overlay, ...props }) => {
  const map = useMap().current.getMap();
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    overlay && /* @__PURE__ */ jsx(CanvasOverlay, { map, ...props }),
    !overlay && /* @__PURE__ */ jsx(CanvasInLayer, { map, ...props })
  ] });
});
Canvas.displayName = "Canvas";
const CanvasInLayer = memo(({ map, ...props }) => {
  const layerProps = useCanvasInLayer(props, fromLngLat, map);
  return /* @__PURE__ */ jsx(Layer, { ...layerProps });
});
CanvasInLayer.displayName = "CanvasInLayer";
const CanvasOverlay = memo(({ map, id, beforeId, ...props }) => {
  const [onRender, setOnRender] = useState();
  const render = useFunction((_gl, mx) => {
    if (!onRender)
      return;
    onRender(mx);
  });
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(Layer, { id, beforeId, type: "custom", render }),
    /* @__PURE__ */ jsx(
      InitCanvasFC,
      {
        ...props,
        setOnRender,
        map,
        fromLngLat
      }
    )
  ] });
});
CanvasInLayer.displayName = "CanvasInLayer";
export {
  Canvas
};
//# sourceMappingURL=main3.mjs.map
