import { useCoordsToMatrix } from "./main12.mjs";
import { useRender } from "./main16.mjs";
import { useRoot } from "./main17.mjs";
function useCanvasInLayer(props, fromLngLat, map) {
  const { latitude, longitude, altitude, frameloop } = props;
  const origin = useCoordsToMatrix({
    latitude,
    longitude,
    altitude,
    fromLngLat
  });
  const { onRemove, useThree, r3m } = useRoot(fromLngLat, map, props);
  const render = useRender({ origin, frameloop, useThree, map, r3m });
  return {
    id: props.id,
    beforeId: props.beforeId,
    onRemove,
    render,
    type: "custom",
    renderingMode: "3d"
  };
}
export {
  useCanvasInLayer
};
//# sourceMappingURL=main8.mjs.map
