import { RootState } from "@react-three/fiber";
import { Matrix4Tuple } from "three";
import { UseBoundStore } from 'zustand';
import { FromLngLat, MapInstance } from "./generic-map";
export interface R3M<T extends MapInstance = MapInstance> {
    /** Map provider */
    map: T;
    /** view projection matrix coming from the map provider */
    viewProjMx: Matrix4Tuple;
    fromLngLat: FromLngLat;
}
export declare function useR3M<T extends MapInstance>(): R3M<T>;
/** init `useR3M` hook */
export declare function useInitR3M<T extends MapInstance>(props: {
    map: T;
    fromLngLat: FromLngLat;
}): void;
export declare function initR3M<T extends MapInstance>({ store, ...props }: {
    map: T;
    fromLngLat: FromLngLat;
    store: UseBoundStore<RootState>;
}): R3M<T>;
